Subject: [PATCH] testing/yggdrasil: fix LDFLAGS, service file

From: Drew DeVault <[email-masked]>
Date: Mon, 29 Jun 2020 07:42:45 -0600

---
 testing/yggdrasil/APKBUILD        | 8 ++++----
 testing/yggdrasil/yggdrasil.initd | 8 ++------
 2 files changed, 6 insertions(+), 10 deletions(-)
 mode change 100644 => 100755 testing/yggdrasil/yggdrasil.initd

diff --git a/testing/yggdrasil/APKBUILD b/testing/yggdrasil/APKBUILD
index 5081fe24dd..82837477c9 100644
--- a/testing/yggdrasil/APKBUILD
+++ b/testing/yggdrasil/APKBUILD
@@ -1,7 +1,7 @@
 # Maintainer: Drew DeVault <[email-masked]>
 pkgname=yggdrasil
 pkgver=0.3.14
-pkgrel=0
+pkgrel=1
 pkgdesc="An experiment in scalable routing as an encrypted IPv6 overlay network"
 url="https://yggdrasil-network.github.io/"
 arch="all"
@@ -20,13 +20,13 @@ subpackages="$pkgname-openrc"
 build() {
 	go mod vendor
 	pkgsrc=github.com/yggdrasil-network/yggdrasil-go/src/version
-	LDFLAGS="$LDFLAGS -X $pkgsrc.buildName=$pkgname -X $PKGSRC.buildVersion=$pkgver"
+	ldflags="-X $pkgsrc.buildName=$pkgname -X $PKGSRC.buildVersion=$pkgver"
 	for cmd in yggdrasil yggdrasilctl
 	do
 		go build \
 			-trimpath \
 			-mod=vendor \
-			-ldflags "-extldflags $LDFLAGS" \
+			-ldflags "-extldflags \"$LDFLAGS\" $ldflags" \
 			./cmd/$cmd
 	done
 }
@@ -44,5 +44,5 @@ package() {
 
 sha512sums="3c3e92c7d49a08d2390a5d7226387c83b5575d55ae90b1209a103b50659ae60d978e39ee9247f548efe90228c3ce544b17bb205f9dcbc7f67262beaf9b7c38bf  yggdrasil-0.3.14.tar.gz
 089221d9dd703b21714ac5ec04f23218083d216ff259fdd76942c9b2089ee4ca908b360dca0c1f4fa2e0bb1de7d57f0c638d8db9bc782cbe0ed1733f6888171a  yggdrasil.confd
-2c08ea638be7632d930e0a80e85ce5311f6703870eada5ad41dd6033f1837a9a41b3d567af807e55004af1f06dfd69e6a49e321340e2b0113b73f5a25237879d  yggdrasil.initd
+3a65df7945389d91bcd43b75e2cab6d0982ca83322bdc196f7efdb00effa652b9297286b7743b12eeb6bcb41835e8dfb2d42cdcb131dfa46f8399485c6d80d75  yggdrasil.initd
 871b650ff982be061532b4c5fe4812f41e6e2c58fc69b24f8a745f9a43389da44e742a69b0467b3c3d9e2b031af0728e20f10fa4584695c4f5ac87768a1fd34e  modules.conf"
diff --git a/testing/yggdrasil/yggdrasil.initd b/testing/yggdrasil/yggdrasil.initd
old mode 100644
new mode 100755
index 9fab7d7c58..8aab44277b
--- a/testing/yggdrasil/yggdrasil.initd
+++ b/testing/yggdrasil/yggdrasil.initd
@@ -4,7 +4,6 @@ description="An experiment in scalable routing as an encrypted IPv6 overlay netw
 supervisor=supervise-daemon
 command=/usr/bin/yggdrasil
 command_args="-useconffile $yggdrasil_config_file"
-command_user="yggdrasil:yggdrasil"
 
 depend() {
 	need net
@@ -13,9 +12,6 @@ depend() {
 }
 
 start_pre() {
-	[ -n "$output_log" ] && checkpath -f "$output_log" \
-		-m 644 -o yggdrasil:yggdrasil || true
-	[ -n "$error_log" ] && checkpath -f "$error_log" \
-		-m 644 -o yggdrasil:yggdrasil || true
-	checkpath /var/run/yggdrasil.sock -m 755 -o yggdrasil:yggdrasil
+	[ -n "$output_log" ] && checkpath -f "$output_log" -m 644 || true
+	[ -n "$error_log" ] && checkpath -f "$error_log" -m 644 || true
 }
-- 
2.27.0